%define pkg_name        Math-Units
%define pkg_version     1.2
%define rpm_pkg_version 1.2
%define rpm_pkg_release 4.n0i.7

Summary:       Perl module for unit conversion
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KE/KENFOX/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{?_with_test:BuildRequires: %{_bindir}/units}


%description
The Math::Units module converts a numeric value in one unit of measurement to
some other unit. The units must be compatible, i.e. length can not be
converted to volume. If a conversion can not be made an exception is thrown.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}
%{__perl} -pi -e 's{gunits --}{%{_bindir}/units --}' t/gunits.pl

%build
%{perl_build}
%{?_with_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc examples/ README TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.2-4.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.2-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.2-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:1.2-2.n0i.4
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.2-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Mon Feb 23 2004 Marius FERARU <altblue@n0i.net> 0:1.2-1.n0i.1
- version 1.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004012001
- disabled testing... seems to be missing?!
